
Redmine - Patch #236

Patch for remote cvs server and non-English cvs environment

2007-11-15 04:09 - Choi Jong Yoon

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

Hello.

I made a patch for cvs_adapter.rb

1. patch for remote cvs server

We installed Redmine to a server and this is not a cvs repository server.

so the cvsroot value is like below

:pserver:username@yourdomain.com:/home/cvsroot

so we should slice string before '/' in the line 145 of cvs_adapter.rb 

this is not obliged to a user for local cvs repository, but is useful for user like me. :-)

 2. patch for non-English User

When I want to insert the revision data to MySQL database, I should encode the non-English commit message to UTF-8.

This may be the problem of my environment(Korean), so please check the code !!

Thank you for reading.

Related issues:

Related to Redmine - Defect #3196: Don't properly support encoding of reposit... Closed 2009-04-17

Related to Redmine - Defect #2890: CVS fetch changesets for latin1 charset Closed 2009-03-03

History

#1 - 2007-11-16 16:31 - Jean-Philippe Lang

Hi,

Concerning 1, I used a different approach (the patch doesn't

work for a local CVS on windows).

I've tested it with a remove CVS, it now works fine as well.

Concerning 2, Setting.repositories_encodings can contain more

than encoding (comma separated). In this case, the patch doesn't

work as only one should be given to iconv.

I'll try to fix it later.

Thanks for the feedback.

Regards

#2 - 2011-01-02 14:07 - Toshi MARUYAMA

- Category set to SCM

#3 - 2011-03-01 14:56 - Toshi MARUYAMA

- Status changed from New to Closed

I added feature #1735 until r4983.
